<%
'*******************************************************************
'* Program : Power-Stats | www.power-stats.com
'* Version : 1.0
'* Authors : Ricardo Lerch, Rodrigo Alhadeff  |  authors@power-stats.com
'* Date    : March-2004
'* Details : Referrer parse into search engines and keywords
'*******************************************************************
%>
<%
sub referrerParsing(referrer, searchEngine, searchKeywords)
  referrer=lcase(referrer)
  
  ' + %20 and "
  referrer=replace(referrer,"%20"," ")
  referrer=replace(referrer,"%22"," ")
  referrer=replace(referrer,"+"," ")
  referrer=replace(referrer,"""","")
  
  if instr(referrer,"google")<>0 then
  	searchEngine		="Google"   
  	pStartingPosition	=instr(referrer,"q=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+2
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
  if instr(referrer,"msn.com")<>0 then
  	searchEngine		="MSN"   
  	referrer		=replace(referrer,"&q=&q=","&q=")
  	pStartingPosition	=instr(referrer,"q=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+2
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
  if instr(referrer,"altavista.com")<>0 then
  	searchEngine		="Altavista"   
  	pStartingPosition	=instr(referrer,"q=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+2
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
  if instr(referrer,"aol.co")<>0 then
  	searchEngine		="Aol"   
  	pStartingPosition	=instr(referrer,"query=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+6
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
  if instr(referrer,"mama.com")<>0 or instr(referrer,"mamma.com")<>0 then
  	searchEngine		="Mama"   
  	pStartingPosition	=instr(referrer,"query=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+6
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  
  end if
  
  if instr(referrer,"yahoo.co")<>0 then
  	searchEngine		="Yahoo"   
  	pStartingPosition	=instr(referrer,"p=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+2
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
  if instr(referrer,"metacrawler.com")<>0 then
  	searchEngine		="MetaCrawler"   
  	pStartingPosition	=instr(referrer,"web/")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+4
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
  
  if instr(referrer,"aspin.com")<>0 then
  	searchEngine		="Aspin"   
  	pStartingPosition	=instr(referrer,"qry=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+4
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
    if instr(referrer,"hotscripts.com")<>0 then
  	searchEngine		="HotScripts"   
  	pStartingPosition	=instr(referrer,"query=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+6
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
  
    if instr(referrer,"ask.com")<>0 then
  	searchEngine		="Ask.com"   
  	pStartingPosition	=instr(referrer,"q=")
  	
  	if pStartingPosition>0 then  	
  	 ' sum &q=
  	 pStartingPosition=pStartingPosition+2
  	 
  	 pEndingPosition		=instr(pStartingPosition+1,referrer,"&")
  	 
  	 if pEndingPosition=0 then
  	  searchKeywords		=mid(referrer,pStartingPosition)  	  	  
  	 else
  	  searchKeywords		=mid(referrer,pStartingPosition,pEndingPosition-pStartingPosition)  	  	  
  	 end if
  	 
  	end if
  	  	
  end if
   	
end sub
%>